org.hibernate.search.batchindexing.impl

## Class DefaultMassIndexerFactory

- java.lang.Object
- - org.hibernate.search.batchindexing.impl.DefaultMassIndexerFactory

- All Implemented Interfaces:
    MassIndexerFactory

      public class DefaultMassIndexerFactory
      extends Object
      implements MassIndexerFactory

  The `MassIndexer` implementation used when none is specified in the configuration.
  Author:
    Davide D'Alto

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.search.batchindexing.spi.MassIndexerFactory

      `MASS_INDEXER_FACTORY_CLASSNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMassIndexerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MassIndexer` | `createMassIndexer(SearchIntegrator searchIntegrator, SessionFactoryImplementor sessionFactory, Class<?>... entities)` Create an instance of a `MassIndexer`.
    `void` | `initialize(Properties properties)` Called after the creation of the factory, can be used to read configuration parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMassIndexerFactory

          public DefaultMassIndexerFactory()

  - ### Method Detail

    - #### initialize

          public void initialize(Properties properties)

      Description copied from interface: `MassIndexerFactory`
      Called after the creation of the factory, can be used to read configuration parameters.
      Specified by:
        `initialize` in interface `MassIndexerFactory`
      Parameters:
        `properties` - configuration properties

    - #### createMassIndexer

          public MassIndexer createMassIndexer(SearchIntegrator searchIntegrator,
                                               SessionFactoryImplementor sessionFactory,
                                               Class<?>... entities)

      Description copied from interface: `MassIndexerFactory`
      Create an instance of a `MassIndexer`.
      Specified by:
        `createMassIndexer` in interface `MassIndexerFactory`
      Parameters:
        `searchIntegrator` - the Hibernate Search factory
        `sessionFactory` - the `Session` factory
        `entities` - the classes of the entities that are going to be indexed
      Returns:
        a new `MassIndexer`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved